Bug 139394 - FILESAVE XLSX Conditional formatting is not applied in RT file in Excel
Summary: FILESAVE XLSX Conditional formatting is not applied in RT file in Excel
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Tibor Nagy (NISZ)
URL:
Whiteboard: target:7.2.0 target:7.1.0.2
Keywords: filter:xlsx, implementationError
Depends on:
Blocks: XLSX-Conditional-Formatting
  Show dependency treegraph
 
Reported: 2021-01-04 09:00 UTC by NISZ LibreOffice Team
Modified: 2021-01-07 09:46 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
The original attachment #152826 saved by Calc (6.68 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2021-01-04 09:00 UTC, NISZ LibreOffice Team
Details
Screenshot of the original document and its Calc-saved version side by side in Calc (91.98 KB, image/png)
2021-01-04 09:00 UTC, NISZ LibreOffice Team
Details
Screenshot of the original document and its Calc-saved version side by side in Excel (101.70 KB, image/png)
2021-01-04 09:01 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2021-01-04 09:00:09 UTC
Created attachment 168654 [details]
The original attachment #152826 [details] saved by Calc

This is a continuation of bug #120749
When the example file of attachment #152826 [details] is opened in Calc, all conditional formatting rules are now imported.
When this is saved as XLSX and reloaded in Calc, these are all retained.
However if the exported XLSX is opened in Excel then some of the newly supported conditions don’t seem to have an effect.

Steps to reproduce:
    1. Open attachment #152826 [details] in Calc
    2. Save as XLSX
    3. Open the file in Excel 2013+

Actual results:
Cells B10 ; B14 ; C10 ; C14 are not colored in Excel.

Expected results:
Those cells should have colored background too.

LibreOffice details:
Version: 7.2.0.0.alpha0+ (x64)
Build ID: 96bafa464ebdbce3ef04bec9beae5e745bb37794
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL
Comment 1 NISZ LibreOffice Team 2021-01-04 09:00:42 UTC
Created attachment 168655 [details]
Screenshot of the original document and its Calc-saved version side by side in Calc
Comment 2 NISZ LibreOffice Team 2021-01-04 09:01:04 UTC
Created attachment 168656 [details]
Screenshot of the original document and its Calc-saved version side by side in Excel
Comment 3 Commit Notification 2021-01-05 13:34:30 UTC
Tibor Nagy committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/9165d5f834a6c831e8683a430bf5911eb4316b68

tdf#139394 XLSX export: remove extra quotation marks

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2021-01-07 00:52:55 UTC
Tibor Nagy committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/9e82c64fa54ce7c0ef18e9de5a06e1243a3a7e44

tdf#139394 XLSX export: remove extra quotation marks

It will be available in 7.1.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2021-01-07 09:46:26 UTC
Verified in

Version: 7.2.0.0.alpha0+
Build ID: 6bb6eb1692d7dd432103d0e7278534390084caf6
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Tibor Nagy, thanks for fixing this issue!!